Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.plugins.processor
Class PluginProcessor

    java.lang.Object
      javax.annotation.processing.AbstractProcessor
          org.apache.logging.log4j.core.config.plugins.processor.PluginProcessor

All Implemented Interfaces:
  Processor

    @SupportedAnnotationTypes(value="org.apache.logging.log4j.core.config.plugins.*")
    public class PluginProcessor

extends AbstractProcessor

Annotation processor for pre-scanning Log4j 2 plugins.

Field Summary
`static String` | `PLUGIN_CACHE_FILE` The location of the plugin cache data file.

Fields inherited from class javax.annotation.processing.AbstractProcessor
`processingEnv`

Constructor Summary
`PluginProcessor()`

Method Summary
`SourceVersion` | `getSupportedSourceVersion()`
`boolean` | `process(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)`

Methods inherited from class javax.annotation.processing.AbstractProcessor
`getCompletions, getSupportedAnnotationTypes, getSupportedOptions, init, isInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_CACHE_FILE

    public static final String PLUGIN_CACHE_FILE

  The location of the plugin cache data file. This file is written to by this processor, and read from by `PluginManager`.

  See Also:
    Constant Field Values

Constructor Detail

### PluginProcessor

    public PluginProcessor()

Method Detail

### getSupportedSourceVersion

    public SourceVersion getSupportedSourceVersion()

  Specified by:
    `getSupportedSourceVersion` in interface `Processor`
  Overrides:
    `getSupportedSourceVersion` in class `AbstractProcessor`

### process

    public boolean process(Set<? extends TypeElement> annotations,
                           RoundEnvironment roundEnv)

  Specified by:
    `process` in interface `Processor`
  Specified by:
    `process` in class `AbstractProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.